漏洞信息详情

GraphicsMagick 缓冲区错误漏洞

  • CNNVD编号:CNNVD-202005-168
  • 危害等级: 高危
  • CVE编号: CVE-2020-12672
  • 漏洞类型: 缓冲区错误
  • 发布时间: 2020-05-05
  • 威胁类型: 远程
  • 更新时间: 2022-01-29
  • 厂        商:
  • 漏洞来源:

漏洞简介

GraphicsMagick是一套简单的图像处理工具。该工具对图像提供尺寸调整、旋转、加亮等功能。

GraphicsMagick 1.3.35及之前版本中的oders/png.c文件的ReadMNGImage存在缓冲区错误漏洞,该漏洞源于未正确验证数据边界。攻击者可利用该漏洞执行任意代码或导致拒绝服务。

漏洞公告

目前厂商暂未发布修复措施解决此安全问题,建议使用此软件的用户随时关注厂商主页或参考网址以获取解决办法:

http://www.graphicsmagick.org/

参考网址

来源:MISC

链接:https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=19025

来源:SUSE

链接:http://lists.opensuse.org/opensuse-security-announce/2020-06/msg00008.html

来源:MLIST

链接:https://lists.debian.org/debian-lts-announce/2020/06/msg00004.html

来源:SUSE

链接:http://lists.opensuse.org/opensuse-security-announce/2020-06/msg00012.html

来源:www.auscert.org.au

链接:https://www.auscert.org.au/bulletins/ESB-2020.1980/

来源:vigilance.fr

链接:https://vigilance.fr/vulnerability/GraphicsMagick-buffer-overflow-via-ReadMNGImage-32451

来源:www.auscert.org.au

链接:https://www.auscert.org.au/bulletins/ESB-2022.0392

来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2020-12672

受影响实体

    暂无


补丁

    暂无

漏洞信息快速查询

相关漏洞

更多